import {MainTab} from "../App";
import {useEffect, useState} from "react";
import Timeline, {TimelineProps} from "./timeline/timeline";
import {MwoType} from "../models/mwo";

type TabBodyProps =
    TimelineProps
    & {
    activeMainTab: MainTab,
}

function TabBody(props: TabBodyProps) {
    switch (props.activeMainTab) {
        case MainTab.Timeline: {
            return (
                <div className={'column'}>
                    <Timeline
                        fwos={props.fwos}
                        setFwos={props.setFwos}
                        mwos={props.mwos}
                        setMwos={props.setMwos}
                        mwoLines={props.mwoLines}
                        wks={props.wks}
                        material={props.material}
                        calendars={props.calendars}
                        stocks={props.stocks}
                        planState={props.planState}
                        setPlanState={props.setPlanState}
                    />
                </div>
            )
        }
        case MainTab.GridMwos: {
            return (
                <div>

                </div>
            )
        }
        case MainTab.GridStocks: {
            return (
                <div>

                </div>
            )
        }
    }
}

export
{
    TabBody
}