import {fwoId, productId, routingId} from './id'

type FwoType = {
    id: fwoId
    productId: productId
    quantity: number
    measurementUnit: string
    dueDate: Date | null
    startPlanned: Date | null
    buyer: string
    status: string
    fwoDuration: number
    routingId: routingId
    comment: string | null

    //Frontend property only for now
    color: string
}

export type{
    FwoType
}